
Application: gvSIG desktop - gvSIG bugs #4758
Grainy visualization of MapServer WMS
12/06/2017 10:53 AM - Antonio Falciano

Status: Outdated % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:
Category: WMS
Target version:
Severity: Major Add-on version:
gvSIG version: 2.3.1 Add-on build:
gvSIG build: Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description
Steps in order to reproduce the issue (found in gvSIG 2.3.1 and 2.4.0 build 2843):
    -  open "Add layer", WMS tab;
    -  connect to http://demo.mapserver.org/cgi-bin/wms? and add the "World country boundaries" layer to a view;
    -  for instance, zoom on your country.

Result: the layer appears fine initially, while after zooming it's a bit grainy. Instead, the images in tmp-gvsig/downloader are fine.

I attach a screenshot and the image from the relative getmap request:

mapserver_wms.png

wms_getMap-1602b37f9e3-a.png

History
#1 - 12/06/2017 10:56 AM - Antonio Falciano
These are the WMS settings I use:
    -  Format: image/png (with transparency)
    -  SRS: CRS84
    -  Info: text/html

View CRS: EPSG:4326

#2 - 12/20/2017 09:50 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220) to 2.5.1-3044

#3 - 01/16/2018 10:21 AM - Antonio Falciano

For instance, this bug affects also the official Italian Cadastre WMS service:
https://wms.cartografia.agenziaentrate.gov.it/inspire/wms/ows01.php

#4 - 01/16/2018 12:06 PM - Álvaro Anguix

Curiously, if you select the option 'use of local tile cache' the visualization is good, without 'grainy'
http://demo.mapserver.org/cgi-bin/wms
https://wms.cartografia.agenziaentrate.gov.it/inspire/wms/ows01.php


#5 - 01/16/2018 12:18 PM - Antonio Falciano

Álvaro Anguix wrote:

Curiously, if you select the option 'use of local tile cache' the visualization is good, without 'grainy'

Yes, it works fine using the local tile cache or using a CRS different from CRS:84... I've just discovered that the issue depends by CRS:84 (no auth
repository), so it's not a specific WMS one:

WARN 84354 AWT-EventQueue-0 org.gvsig.crs.Crs - Can't get proj4 string from CRS:84
java.lang.RuntimeException: OGR Error: Unsupported SRS
    at org.gdal.osr.osrJNI.SpatialReference_ImportFromEPSG(Native Method)
    at org.gdal.osr.SpatialReference.ImportFromEPSG(SpatialReference.java:547)
    at org.gvsig.crs.Crs.initFromSpatialReference(Crs.java:129)
    at org.gvsig.crs.Crs.<init>(Crs.java:241)
    at org.gvsig.crs.repository.NoAuthRepository.getCrs(NoAuthRepository.java:98)
    at org.gvsig.crs.CrsFactory.getSimpleCRS(CrsFactory.java:170)
    at org.gvsig.crs.CrsFactory.getCRS(CrsFactory.java:115)
    at org.gvsig.crs.CrsFactory.get(CrsFactory.java:232)
    at org.gvsig.fmap.crs.CRSFactory.getCRS(CRSFactory.java:61)
    at org.gvsig.raster.wms.io.WMSProvider.loadInitialInfo(WMSProvider.java:262)
    at org.gvsig.raster.wms.io.WMSProvider.init(WMSProvider.java:229)
        [...]

#6 - 03/04/2020 05:20 PM - Álvaro Anguix
- Target version deleted (2.5.1-3044)

#7 - 04/12/2020 01:07 PM - Álvaro Anguix
- Status changed from New to Outdated

El servidor indicado no funciona actualmente.
